import { ButtonTypes, ColorStyles } from '../../../types';
import React, { ReactNode } from 'react';
export declare type FakeButtonProps = {
    label: string;
    className?: string;
    type: ButtonTypes;
    icon?: ReactNode;
    colorStyle?: ColorStyles;
    children?: ReactNode;
};
/**
 * A div element that mimics the visual style of a button but doesn't provide any interactivity.
 *
 * Note: this component doesn't exist in the Design System.
 */
export declare const FakeButton: React.ForwardRefExoticComponent<FakeButtonProps & React.RefAttributes<HTMLDivElement>>;
