/// <reference types="react" />
import { ColorStyles } from '../../types';
import { DropdownItem } from './types';
export declare type DropdownSearchableProps = {
    className?: string;
    placeholder: string;
    items: Array<DropdownItem>;
    onChange?: (value: Array<DropdownItem>) => void;
    value?: DropdownItem;
    required?: boolean;
    colorStyle?: ColorStyles;
    notFoundLabel: string;
};
/**
 * A custom select component that allow multiple selection and display chips for the selected items.
 * @param className
 * @param placeholder
 * @param selected
 * @param required
 * @param items
 * @param onChange
 * @param colorStyle
 * @param notFoundLabel
 * @constructor
 */
export declare const DropdownSearchable: ({ className, placeholder, value, required, items, onChange, colorStyle, notFoundLabel }: DropdownSearchableProps) => JSX.Element;
