export declare type ResponsiveImage = {
    responsiveImage: {
        srcSet: string;
        webpSrcSet: string;
        sizes: string;
        src: string;
        width: number;
        height: number;
        aspectRatio: number;
        alt: string;
        title: string;
        base64: string;
    };
};
export declare type ResponsiveMedia = {
    id: string;
    width: number;
    height: number;
    mimeType: string;
    responsiveImage: {
        srcSet: string;
        webpSrcSet: string;
        sizes: string;
        src: string;
        width: number;
        height: number;
        aspectRatio: number;
        alt: string;
        title: string;
        base64: string;
    };
    video: {
        mp4Url: string;
        thumbnailUrl: string;
    };
};
export declare enum ButtonTypes {
    Primary = "ButtonPrimary",
    Secondary = "ButtonSecondary",
    LabelIcon = "LabelIcon"
}
export declare enum ButtonHtmlTypes {
    Submit = "submit",
    Button = "button",
    Reset = "reset"
}
export declare enum AnchorOpenMode {
    Self = "_self",
    NewWindow = "_blank"
}
export declare enum ColorStyles {
    Basic1 = "basic1",
    Basic5 = "basic5"
}
export declare enum LogoColorType {
    Normal = "normale",
    White = "bianco",
    Black = "nero"
}
export declare type UnionToIntersection<U> = (U extends any ? (k: U) => void : never) extends (k: infer I) => void ? I : never;
export declare type FlattenUnion<T> = {
    [K in keyof UnionToIntersection<T>]: K extends keyof T ? T[K] extends any[] ? T[K] : T[K] extends object ? FlattenUnion<T[K]> : T[K] : UnionToIntersection<T>[K] | undefined;
};
